Preview what one firing costs
GET
/api/v1/automations/preview
const url = 'https://trongas.ai/api/v1/automations/preview';const options = {method: 'GET', headers: {'X-Api-Key': '<X-Api-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://trongas.ai/api/v1/automations/preview \ --header 'X-Api-Key: <X-Api-Key>'What a single firing of a rule would cost at your price, in TRX. type is refill (default) or smart. Read-only — charges nothing and creates nothing.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”volume
integer | string format: int64
duration
string
type
string
Responses
Section titled “Responses”OK
object
priceTrx
required
string
object
priceTrx
required
string
Examplegenerated
{ "priceTrx": "example"}object
priceTrx
required
string
Examplegenerated
{ "priceTrx": "example"}